Subject: 回复： Re: 回复： Re: [Consult] About only one Signed-of-by for the patches

From: Xuetao Guan <[email-masked]>
Date: Wed, 28 May 2014 08:00:41 +0800 (CST)

----- Stephen Rothwell <[email-masked]> 写道：
> Hi,
> 
> On Tue, 27 May 2014 13:07:30 +0800 (CST) Xuetao Guan <[email-masked]> wrote:
> >
> > 
> > ----- Stephen Rothwell <[email-masked]> 写道：
> > > Hi Chen,
> > > 
> > > On Tue, 27 May 2014 09:23:38 +0800 Chen Gang <[email-masked]> wrote:
> > > >
> > > > I find some of patches are only Signed-of-by me, are they OK?
> > > 
> > > Actually, this one is not OK.  Anyone who handles a patch needs to add a
> > > Signed-off-by.  In the case below, that patch was commited to the tree
> > > by Guan Xuetao <[email-masked]>, so there needs to be a
> > > Signed-off-by from them as well.
> > > 
> > > The same is true for all the commits in the unicore32 tree ...
> > 
> > Ok, I see.
> > 
> > Then, do I need to reply each mail with my sob? Or only replace acked-by by sob for all commits in my tree?
> 
> You do not need to reply to each email, but any patch that you send on
> to Linus (or someone else) needs to have your Signed-off-by.  Please
> read the "Developer's Certificate of Origin" in section 12 of
> Documentation/SubmittingPatches.
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]

I see. What I misunderstood is that acked-by had similar functions.
Thanks.

Xuetao